# Schema Catalog

## Overview

This page gives you a complete overview of the JSON Schema definitions used across Beefree SDK. Each schema plays a role in providing data structures that can be used to validate formats, properly format request bodies for API calls, or serve as a tool for storing templates, rows, and more in your backend.

Each of the following schemas has a dedicated page, but this catalog gives you the big picture and helps you understand how the pieces connect.

### Schema Index

The following section includes a comprehensive list of schemas in Beefree SDK.&#x20;

**Name:** [Definitions Schema](/beefree-sdk/data-structures/simple-schema/definitions-schema.md)

**Description:** Contains shared definitions and reusable schema components used across all simple schema modules.

**GitHub File:** [`definitions.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/definitions.schema.json)&#x20;

***

**Name:** [Button Schema](/beefree-sdk/data-structures/simple-schema/button-schema.md)

**GitHub File:**  [`simple_button.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_button.schema.json)&#x20;

**Description:** Describes the structure for a customizable button.

***

**Name:** [Divider Schema](/beefree-sdk/data-structures/simple-schema/divider-schema.md)

**GitHub File:** [`simple_divider.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_divider.schema.json)&#x20;

**Description:** Describes available Divider content block properties.

***

**Name:** [HTML Schema](/beefree-sdk/data-structures/simple-schema/html-schema.md)

**GitHub File:** [`simple_html.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_html.schema.json)&#x20;

**Description:** Enables the insertion of raw HTML blocks for advanced customization beyond standard modules.

***

**Name:** [Icons Schema](/beefree-sdk/data-structures/simple-schema/icon-schema.md)

**GitHub:** [`simple_icons.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_icons.schema.json)&#x20;

**Description:** Describes available Icon content block properties.

***

**Name:** [Image Schema](/beefree-sdk/data-structures/simple-schema/image-schema.md)

**GitHub:** [`simple_image.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_image.schema.json)&#x20;

**Description:** Describes the available Image content block properties.

***

**Name:** [List Schema](/beefree-sdk/data-structures/simple-schema/list-schema.md)

**GitHub File:** [`simple_list.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_list.schema.json)&#x20;

**Description:** Describes an unordered or ordered list with multiple items and styling options.

***

**Name:** [Menu Schema](/beefree-sdk/data-structures/simple-schema/menu-schema.md)

**GitHub File:** [`simple_menu.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_menu.schema.json)&#x20;

**Description:** Describes available Menu content block properties. &#x20;

***

**Name:** [Paragraph Schema](/beefree-sdk/data-structures/simple-schema/paragraph-schema.md)

**GitHub File:** [`simple_paragraph.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_paragraph.schema.json)&#x20;

**Description:** Describes available Paragraph content block properties.&#x20;

***

**Name:** [Title Schema](/beefree-sdk/data-structures/simple-schema/title-schema.md)

**GitHub File:** [`simple_title.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_title.schema.json)&#x20;

**Description:** Defines header or title elements with configurable properties. &#x20;

***

**Name:** [Column Schema](/beefree-sdk/data-structures/simple-schema/column-schema.md)

**GitHub File:** [`simple_column.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_column.schema.json)&#x20;

**Description:** Defines the layout and content rules for a column.&#x20;

***

**Name:** [Row Schema ](/beefree-sdk/data-structures/simple-schema/row-schema.md)

**GitHub File:** [`simple_row.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_row.schema.json)&#x20;

**Description:** Manages layout rows, defining structure and grouping content.&#x20;

***

**Name:** [Template Schema](/beefree-sdk/data-structures/simple-schema/template-schema.md)&#x20;

**GitHub File:** [`simple_template.schema.json`](https://github.com/BeefreeSDK/beefree-sdk-simple-schema/blob/main/simple_template.schema.json)&#x20;

**Description:** Top-level schema representing the entire design template, including layout, metadata, and content.

***

**Name:** [Row Metadata](/beefree-sdk/data-structures/row-metadata.md)

**Description:** Reusable or saved rows can include a `metadata` object to help organize and manage them within the builder interface.&#x20;

***

**Name:** [Form Validation](/beefree-sdk/data-structures/form-validation-schema.md)

**GitHub File:** [`form_validation_schema.json`](https://github.com/BeefreeSDK/beefree-sdk-sample-forms/blob/master/validation%20schema/form_validation_schema.json)&#x20;

**Description:** Schema for building and validating forms for popup and page builders.

***

**Name:** [Comments Schema](/beefree-sdk/data-structures/comments-schema.md)

**Description:** Defines the structure for storing comment threads tied to specific content elements within a template. &#x20;

***

**Name:** [Change Schema for Comments](/beefree-sdk/data-structures/comments-schema/change-schema-for-comments.md)

**Description:** Defines the structure for tracking changes in collaborative environments, particularly for managing comment threads within content blocks.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beefree.io/beefree-sdk/data-structures/schema-catalog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
